Subject: categories: multicategory algebras

From: "Urs Schreiber" <[email-masked]>
Date: Fri, 24 Feb 2006 11:04:49 +0100

Dirk Kreimer and Alain Connes have developed a Hopf algebraic description of
the process of renormalization in quantum field theory.

Their starting point is the definition of a certain algebra structure on the
space of all (Feynman-)graphs.  The definition can be found, for instance,
in equation (6) of http://arxiv.org/abs/hep-th/0510202 .

I suspect that this algebra is most elegantly expressed as the
"multicategory algebra" of the obvious multicategory of (Feynman-)graphs.
This multicategory should be the obvious slight generalization of example
4.2.14 in Tom Leinster's book http://arxiv.org/abs/math.CT/0305049 .

Here by "multicategory algebra" I mean a generalization to multicategories
of the concept "category algebra" or "path algebra" of an ordinary category.
I.e. the algebra generated by the morphisms in the category with the product
derived from the composition law in the category.

(Hence, in particular I am *not* referring to the concept "algebra *for* a
multicategory" as in "algebra for an operad", discussed in section 4.3 of
Leinster's book.)

I would think such a concept of a multicategory(-path-)algebra should exist
and should be given by the obvious generalization of formula (6) in the
above cited paper.

This concept seems to be so natural that I expect it must have been
considered before. If so, could anyone point me to relevant sources?